Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.gen
Class DataMapArtifact

    java.lang.Object
      org.apache.cayenne.gen.DataMapArtifact

All Implemented Interfaces:
  Artifact

Direct Known Subclasses:
  ClientDataMapArtifact

    public class DataMapArtifact

extends Object
implements Artifact

`Artifact` facade for a DataMap.

Since:
  3.0

Field Summary
`protected DataMap` | `dataMap`
`static String` | `DATAMAP_UTILS_KEY`
`protected Collection<ProcedureQuery>` | `procedureQueries`
`protected Collection<SelectQuery>` | `selectQueries`
`protected Collection<SQLTemplate>` | `sqlTemplateQueries`

Fields inherited from interface org.apache.cayenne.gen.Artifact
`BASE_CLASS_KEY, BASE_PACKAGE_KEY, IMPORT_UTILS_KEY, OBJECT_KEY, STRING_UTILS_KEY, SUB_CLASS_KEY, SUB_PACKAGE_KEY, SUPER_CLASS_KEY, SUPER_PACKAGE_KEY`

Constructor Summary
`DataMapArtifact(DataMap dataMap, Collection<Query> queries)`

Method Summary
`Object` | `getObject()` Returns a mapping metadata object for this artifact.
`String` | `getQualifiedBaseClassName()`
`String` | `getQualifiedClassName()`
`Collection<SelectQuery>` | `getSelectQueries()`
`TemplateType[]` | `getTemplateTypes(ArtifactGenerationMode mode)`
`boolean` | `hasQueries()`
`void` | `postInitContext(org.apache.velocity.VelocityContext context)` A callback method that allows each artifact to add its own special keys to the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATAMAP_UTILS_KEY

    public static final String DATAMAP_UTILS_KEY

See Also:
  Constant Field Values

### dataMap

    protected DataMap dataMap

### selectQueries

    protected Collection<SelectQuery> selectQueries

### sqlTemplateQueries

    protected Collection<SQLTemplate> sqlTemplateQueries

### procedureQueries

    protected Collection<ProcedureQuery> procedureQueries

Constructor Detail

### DataMapArtifact

    public DataMapArtifact(DataMap dataMap,
                           Collection<Query> queries)

Method Detail

### getQualifiedBaseClassName

    public String getQualifiedBaseClassName()

  Specified by:
    `getQualifiedBaseClassName` in interface `Artifact`

### getQualifiedClassName

    public String getQualifiedClassName()

  Specified by:
    `getQualifiedClassName` in interface `Artifact`

### getObject

    public Object getObject()

  Description copied from interface: `Artifact`
  Returns a mapping metadata object for this artifact.

  Specified by:
    `getObject` in interface `Artifact`

### postInitContext

    public void postInitContext(org.apache.velocity.VelocityContext context)

  Description copied from interface: `Artifact`
  A callback method that allows each artifact to add its own special keys to the context. Invoked from `ClassGenerationAction.resetContextForArtifactTemplate(Artifact, TemplateType)`, after the context is initialized by code generator, so this method can use predefined keys from the context.

  Specified by:
    `postInitContext` in interface `Artifact`

### getTemplateTypes

    public TemplateType[] getTemplateTypes(ArtifactGenerationMode mode)

  Specified by:
    `getTemplateTypes` in interface `Artifact`

### getSelectQueries

    public Collection<SelectQuery> getSelectQueries()

### hasQueries

    public boolean hasQueries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.